FIX::SocketServer::Strategy Class Referenceabstract

`#include <SocketServer.h>`

Inheritance diagram for FIX::SocketServer::Strategy:
[legend]

## Public Member Functions

virtual | ~Strategy ()
virtual void | onConnect (SocketServer &, int acceptSocket, int socket)=0
virtual void | onWrite (SocketServer &, int socket)=0
virtual bool | onData (SocketServer &, int socket)=0
virtual void | onDisconnect (SocketServer &, int socket)=0
virtual void | onError (SocketServer &)=0
virtual void | onTimeout (SocketServer &)

## Detailed Description

Definition at line 103 of file SocketServer.h.

## Constructor & Destructor Documentation

## ~Strategy()

virtual FIX::SocketServer::Strategy::~Strategy | ( |  | ) |

inline virtual

Definition at line 106 of file SocketServer.h.

Referenced by FIX::SocketServer::getMonitor().

## Member Function Documentation

## onConnect()

virtual void FIX::SocketServer::Strategy::onConnect | ( | SocketServer & | ,
|  | int | acceptSocket,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketAcceptor, and FIX::HttpServer.

Referenced by FIX::SocketServer::getMonitor().

## onData()

virtual bool FIX::SocketServer::Strategy::onData | ( | SocketServer & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketAcceptor, and FIX::HttpServer.

Referenced by FIX::SocketServer::getMonitor().

## onDisconnect()

virtual void FIX::SocketServer::Strategy::onDisconnect | ( | SocketServer & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketAcceptor, and FIX::HttpServer.

Referenced by FIX::SocketServer::getMonitor().

## onError()

virtual void FIX::SocketServer::Strategy::onError | ( | SocketServer & |  | ) |

pure virtual

Implemented in FIX::SocketAcceptor, and FIX::HttpServer.

Referenced by FIX::ServerWrapper::ServerWrapper().

## onTimeout()

virtual void FIX::SocketServer::Strategy::onTimeout | ( | SocketServer & |  | ) |

inline virtual

Reimplemented in FIX::SocketAcceptor, and FIX::HttpServer.

Definition at line 112 of file SocketServer.h.

Referenced by FIX::ServerWrapper::onConnect().

## onWrite()

virtual void FIX::SocketServer::Strategy::onWrite | ( | SocketServer & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketAcceptor, and FIX::HttpServer.

Referenced by FIX::SocketServer::getMonitor().

The documentation for this class was generated from the following file:

- SocketServer.h